package VeganBook::Schema::Result::Ingredient;
use strict;
use warnings;
use base qw/DBIx::Class/;

__PACKAGE__->load_components(qw/ InflateColumn::Object::Enum Core /);
__PACKAGE__->table('ingredients');
__PACKAGE__->add_columns(
    id => {
        data_type         => 'int',
        is_numeric        => 1,
        is_auto_increment => 1
    },
    name       => { data_type => 'varchar', is_nullable => 0 },
    content    => { data_type => 'varchar', is_nullable => 0 },
    glutenfree => {
        data_type     => 'enum',
        is_enum       => 1,
        default_value => 'no',
        extra         => {
            list => [
                qw/
                  yes
                  no
                  /
            ]
        },
    },

);

__PACKAGE__->set_primary_key('id');

1;
